# PCASMGetLocalSubdomains

Gets the local subdomains (for this processor only) for the additive Schwarz preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCASMGetLocalSubdomains(PC pc,PetscInt *n,IS *is[])

Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameters

| n | - the number of subdomains for this processor (default value = 1)
| is | - the index sets that define the subdomains for this processor

### Notes

The IS numbering is in the parallel, global numbering of the vector.

### Keywords

PC, ASM, set, local, subdomains, additive Schwarz

### See Also

PCASMSetTotalSubdomains(), PCASMSetOverlap(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D(), PCASMSetLocalSubdomains(), PCASMGetLocalSubmatrices()

Level:advanced
Location: src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages